path: /build/build/gst-python-dev-python-1.0-1.18.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/gst-python:1.0 -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/gst-python:1.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gst-python && luet-portage --dir /pkgdir/gst-python
    dev-python/gst-python:1.0 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:0c338912afb025145260f9e91b302049e7d6db1d105720ce67fc9ef19534e6a9
  package:
    name: gst-python
    version: 1.18.4
    category: dev-python-1.0
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: liblouis
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A Python Interface to GStreamer
    uri:
    - https://gstreamer.freedesktop.org/
    license: LGPL-2+
    buildtimestamp: 2023-10-12 07:15:52.046484231 +0000 UTC m=+164.244677271
    labels:
      BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=media-libs/gstreamer-1.18.4:1.0[introspection] >=media-libs/gst-plugins-base-1.18.4:1.0[introspection]
        >=dev-python/pygobject-3.8:3[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=media-libs/gstreamer-1.18.4:1.0[introspection] >=media-libs/gst-plugins-base-1.18.4:1.0[introspection]
        >=dev-python/pygobject-3.8:3[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/gst-python:1.0
      kit: media-kit
      original.package.name: dev-python/gst-python
      original.package.slot: "1.0"
      original.package.version: 1.18.4
    treedir: /build/packages
  package_dir: /pkgdir/gst-python
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 37d19e22a6ccac7a425045e87cb469827191a3f338dcdac10fe56f10643496d8
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/gi/overrides/Gst.py
- usr/lib/python3.9/site-packages/gi/overrides/GstPbutils.py
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/Gst.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/Gst.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/Gst.cpython-39.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GstPbutils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GstPbutils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GstPbutils.cpython-39.pyc
- usr/lib/python3.9/site-packages/gi/overrides/_gi_gst.cpython-39-x86_64-linux-gnu.so
- usr/share/doc/gst-python-1.18.4/AUTHORS
- usr/share/doc/gst-python-1.18.4/ChangeLog.bz2
- usr/share/doc/gst-python-1.18.4/NEWS.bz2
- usr/share/doc/gst-python-1.18.4/README
- usr/share/doc/gst-python-1.18.4/TODO
- var/db/pkg/dev-python/gst-python-1.18.4/BDEPEND
- var/db/pkg/dev-python/gst-python-1.18.4/BUILD_TIME
- var/db/pkg/dev-python/gst-python-1.18.4/CATEGORY
- var/db/pkg/dev-python/gst-python-1.18.4/CBUILD
- var/db/pkg/dev-python/gst-python-1.18.4/CFLAGS
- var/db/pkg/dev-python/gst-python-1.18.4/CHOST
- var/db/pkg/dev-python/gst-python-1.18.4/CONTENTS
- var/db/pkg/dev-python/gst-python-1.18.4/COUNTER
- var/db/pkg/dev-python/gst-python-1.18.4/CXXFLAGS
- var/db/pkg/dev-python/gst-python-1.18.4/DEFINED_PHASES
- var/db/pkg/dev-python/gst-python-1.18.4/DEPEND
- var/db/pkg/dev-python/gst-python-1.18.4/DESCRIPTION
- var/db/pkg/dev-python/gst-python-1.18.4/EAPI
- var/db/pkg/dev-python/gst-python-1.18.4/FEATURES
- var/db/pkg/dev-python/gst-python-1.18.4/HOMEPAGE
- var/db/pkg/dev-python/gst-python-1.18.4/INHERITED
- var/db/pkg/dev-python/gst-python-1.18.4/IUSE
- var/db/pkg/dev-python/gst-python-1.18.4/IUSE_EFFECTIVE
- var/db/pkg/dev-python/gst-python-1.18.4/KEYWORDS
- var/db/pkg/dev-python/gst-python-1.18.4/LDFLAGS
- var/db/pkg/dev-python/gst-python-1.18.4/LICENSE
- var/db/pkg/dev-python/gst-python-1.18.4/NEEDED
- var/db/pkg/dev-python/gst-python-1.18.4/PF
- var/db/pkg/dev-python/gst-python-1.18.4/PROVIDES
- var/db/pkg/dev-python/gst-python-1.18.4/RDEPEND
- var/db/pkg/dev-python/gst-python-1.18.4/REQUIRES
- var/db/pkg/dev-python/gst-python-1.18.4/SIZE
- var/db/pkg/dev-python/gst-python-1.18.4/SLOT
- var/db/pkg/dev-python/gst-python-1.18.4/USE
- var/db/pkg/dev-python/gst-python-1.18.4/environment.bz2
- var/db/pkg/dev-python/gst-python-1.18.4/gst-python-1.18.4.ebuild
- var/db/pkg/dev-python/gst-python-1.18.4/repository
package_cacheimage: ""
runtime:
  name: gst-python
  version: 1.18.4
  category: dev-python-1.0
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: pygobject
    version: '>=0'
    category: dev-python-3
  - name: gst-plugins-base
    version: '>=0'
    category: media-libs-1.0
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A Python Interface to GStreamer
  uri:
  - https://gstreamer.freedesktop.org/
  license: LGPL-2+
  labels:
    BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=media-libs/gstreamer-1.18.4:1.0[introspection] >=media-libs/gst-plugins-base-1.18.4:1.0[introspection]
      >=dev-python/pygobject-3.8:3[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python3_10
    RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=media-libs/gstreamer-1.18.4:1.0[introspection] >=media-libs/gst-plugins-base-1.18.4:1.0[introspection]
      >=dev-python/pygobject-3.8:3[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/gst-python:1.0
    kit: media-kit
    original.package.name: dev-python/gst-python
    original.package.slot: "1.0"
    original.package.version: 1.18.4
